ZipArchive::renameName
ZipArchive::setCommentIndex
Zip Functions
PHP Manual

# ZipArchive::setArchiveComment

(No version information available, might be only in CVS)

ZipArchive::setArchiveComment — Set the comment of a ZIP archive

### Description

mixed ZipArchive::setArchiveComment ( string `$comment` )

Set the comment of a ZIP archive.

### Parameters

`comment`

  The contents of the comment.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Create an archive and set a comment

`<?php
$zip = new ZipArchive;
$res = $zip->open('test.zip', ZipArchive::CREATE);
if ($res === TRUE) {
$zip->addFromString('test.txt', 'file content goes here');
$z->setArchiveComment('new archive comment');
$zip->close();
echo 'ok';
} else {
echo 'failed';
}
?>`

ZipArchive::renameName
ZipArchive::setCommentIndex
Zip Functions
PHP Manual